package com.mdd.admin.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Assert;
import com.mdd.admin.service.IDecoratePageService;
import com.mdd.admin.validate.decorate.DecoratePageValidate;
import com.mdd.admin.vo.decorate.DecoratePageVo;
import com.mdd.common.entity.decorate.DecoratePage;
import com.mdd.common.mapper.decorate.DecoratePageMapper;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class DecoratePageServiceImpl implements IDecoratePageService {
   @Resource
   DecoratePageMapper decoratePageMapper;

   public DecoratePageVo detail(Integer id) {
      DecoratePage decoratePage = (DecoratePage)this.decoratePageMapper.selectById(id);
      Assert.notNull(decoratePage, "数据不存在!", new Object[0]);
      DecoratePageVo vo = new DecoratePageVo();
      vo.setId(decoratePage.getId());
      vo.setPageType(decoratePage.getPageType());
      vo.setPageData(decoratePage.getPageData());
      return vo;
   }

   public void save(DecoratePageValidate decoratePageValidate) {
      DecoratePage decoratePage = (DecoratePage)this.decoratePageMapper.selectById(decoratePageValidate.getId());
      Assert.notNull(decoratePage, "数据不存在!", new Object[0]);
      decoratePage.setPageData(decoratePageValidate.getPageData());
      decoratePage.setUpdateTime(System.currentTimeMillis() / 1000L);
      this.decoratePageMapper.updateById(decoratePage);
   }
}
